/*********************************************************/
/*  Program testfft.c                                    */
/*     An example of how to use function fft.c           */
/*  Compile by: gcc testfft.c fft.c -o fft.out -lm       */
/*********************************************************/

#include "complex.h"
#include <math.h>

extern void fft();

main()
  {
  int M = 4;               /* log2(N)                    */
  int N = 1 << M;   /* N = 2**M = Number of FFT points   */
  complex X[16];           /* Declare input array        */
  int i;                   /* loop index                 */
  float pi = 3.141592653589;
/*-------------------------------------------------------*/
/*   Initialize input array                              */
/*  Generate spectral lines at k = 5 and 11 of height 8. */

  for(i=0; i<N; i++) 
    {
    (X[i]).real = cos(i*5*2.0*pi/N);
    (X[i]).imag = 0.0;
    }
/*--------------------------------------------------------*/
/* Perform FFT                                            */

  fft(X,M); 

/*  Display results on screen                             */

  for(i=0; i<N; i++)
 printf("%4d%15.5f\t%15.5f\n",i,(X[i]).real, (X[i]).imag);

  }
